Bug 1185811 - [abrt] gnome-shell: g_str_hash(): gnome-shell killed by SIGSEGV
Summary: [abrt] gnome-shell: g_str_hash(): gnome-shell killed by SIGSEGV
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: mutter
Version: rawhide
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Peter Robinson
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:68facaa20a50bdfc130465cea53...
Depends On:
Blocks: F22AlphaBlocker
TreeView+ depends on / blocked
 
Reported: 2015-01-26 11:00 UTC by Jakub Filak
Modified: 2016-12-01 00:48 UTC (History)
13 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-02-06 19:16:23 UTC
Type: ---


Attachments (Terms of Use)
File: backtrace (25.00 KB, text/plain)
2015-01-26 11:00 UTC, Jakub Filak
no flags Details
File: cgroup (275 bytes, text/plain)
2015-01-26 11:00 UTC, Jakub Filak
no flags Details
File: core_backtrace (10.71 KB, text/plain)
2015-01-26 11:00 UTC, Jakub Filak
no flags Details
File: dso_list (14.69 KB, text/plain)
2015-01-26 11:00 UTC, Jakub Filak
no flags Details
File: environ (1.02 KB, text/plain)
2015-01-26 11:00 UTC, Jakub Filak
no flags Details
File: exploitable (82 bytes, text/plain)
2015-01-26 11:00 UTC, Jakub Filak
no flags Details
File: limits (1.29 KB, text/plain)
2015-01-26 11:00 UTC, Jakub Filak
no flags Details
File: maps (70.25 KB, text/plain)
2015-01-26 11:00 UTC, Jakub Filak
no flags Details
File: open_fds (507 bytes, text/plain)
2015-01-26 11:00 UTC, Jakub Filak
no flags Details
File: proc_pid_status (1.04 KB, text/plain)
2015-01-26 11:00 UTC, Jakub Filak
no flags Details


Links
System ID Private Priority Status Summary Last Updated
GNOME Bugzilla 743412 0 None None None Never

Description Jakub Filak 2015-01-26 11:00:06 UTC
Description of problem:
I booted into multi-user.target and run 'systemctl isolate graphical.target'

Version-Release number of selected component:
gnome-shell-3.15.4-1.fc22

Additional info:
reporter:       libreport-2.3.0.83.g0278.dirty
backtrace_rating: 4
cmdline:        gnome-shell --mode=gdm
crash_function: g_str_hash
executable:     /usr/bin/gnome-shell
kernel:         3.19.0-0.rc5.git2.1.fc22.x86_64
runlevel:       3 5
type:           CCpp
uid:            42
var_log_messages: [System Logs]:\n-- Logs begin at Tue 2014-07-08 10:59:30 CEST, end at Mon 2015-01-26 10:25:36 CET. --

Truncated backtrace:
Thread no. 1 (9 frames)
 #0 g_str_hash at /lib64/libglib-2.0.so.0
 #1 config_hash at /lib64/libmutter.so.0
 #2 g_hash_table_lookup at /lib64/libglib-2.0.so.0
 #3 meta_monitor_config_apply_stored at /lib64/libmutter.so.0
 #4 meta_monitor_manager_constructed at /lib64/libmutter.so.0
 #5 g_object_new_internal at /lib64/libgobject-2.0.so.0
 #8 meta_backend_real_post_init at /lib64/libmutter.so.0
 #9 meta_backend_x11_post_init at /lib64/libmutter.so.0
 #10 meta_init at /lib64/libmutter.so.0

Comment 1 Jakub Filak 2015-01-26 11:00:09 UTC
Created attachment 984156 [details]
File: backtrace

Comment 2 Jakub Filak 2015-01-26 11:00:10 UTC
Created attachment 984157 [details]
File: cgroup

Comment 3 Jakub Filak 2015-01-26 11:00:11 UTC
Created attachment 984158 [details]
File: core_backtrace

Comment 4 Jakub Filak 2015-01-26 11:00:13 UTC
Created attachment 984159 [details]
File: dso_list

Comment 5 Jakub Filak 2015-01-26 11:00:14 UTC
Created attachment 984160 [details]
File: environ

Comment 6 Jakub Filak 2015-01-26 11:00:15 UTC
Created attachment 984161 [details]
File: exploitable

Comment 7 Jakub Filak 2015-01-26 11:00:16 UTC
Created attachment 984162 [details]
File: limits

Comment 8 Jakub Filak 2015-01-26 11:00:18 UTC
Created attachment 984163 [details]
File: maps

Comment 9 Jakub Filak 2015-01-26 11:00:19 UTC
Created attachment 984164 [details]
File: open_fds

Comment 10 Jakub Filak 2015-01-26 11:00:20 UTC
Created attachment 984165 [details]
File: proc_pid_status

Comment 11 Jakub Filak 2015-01-26 12:57:56 UTC
The crash was introduced in mutter-3.15.4-1.fc22 and gnome-shell-3.15.4-1.fc22. The previous versions work fine.

Comment 12 Joachim Frieben 2015-01-27 18:58:37 UTC
GNOME session aborts with above error upon login from LightDM on a current rawhide system.

Comment 13 Jakub Filak 2015-01-28 13:53:56 UTC
The following upstream commit probably fixes this bug:
https://git.gnome.org/browse/mutter/commit/?id=ad90b7dd2f0eec6c9966e83742e7bfddcea19f76

Comment 14 Adam Williamson 2015-02-02 19:31:16 UTC
The 2015-02-02 Workstation live nightly hits the 'Oh no!' screen on boot, with this crash captured by abrt-cli - so this is a clear Alpha blocker: "Release-blocking live images must boot to the expected boot menu, and then to a desktop or to a login prompt where it is clear how to log in to a desktop." , https://fedoraproject.org/wiki/Fedora_22_Alpha_Release_Criteria#Expected_image_boot_behavior .

Comment 15 Adam Williamson 2015-02-02 19:32:45 UTC
Hum, well, it does so in a VM, looking at the upstream commit, seems like it'll happen when no EDID is available, which seems most likely to happen in VMs and then maybe on broken monitors and/or TVs and projectors and things. So, maybe just a Beta blocker, but we can discuss it if it's not fixed by the next review meeting.

Comment 16 Kamil Páral 2015-02-03 13:15:48 UTC
I also see this in my VM (qxl+spice).

Comment 17 Michael Catanzaro 2015-02-06 19:16:23 UTC
So Adam backported the patch in comment #13 and I'm pretty sure that fixed this. At least, with 2015-02-02 I can't get past the crash, but 2015-02-04 works fine. Please reopen if you still hit this with mutter-3.15.4-2.fc22 or higher.

Comment 18 Adam Williamson 2015-02-06 20:04:41 UTC
yeah, I also tested and confirmed the fix, just forgot to update the bug.


Note You need to log in before you can comment on or make changes to this bug.